Printago API
GET
/v1/integrations/cloud-storage/{provider}/{integrationId}/status
Get sync status for a cloud-storage integration
Get sync status for a cloud-storage integration.
Path Parameters
provider
required
string
The cloud storage provider
integrationId
required
string
The cloud storage integration ID
Response Schema
CloudStorageSyncStatus
authErrorrequirednullable
string
connectedrequired
boolean
lastSyncedAtrequirednullable
string
providerrequired
"google-drive" | "onedrive"
google-driveonedrive
settingsrequired
object
autoSyncrequired
boolean
keepPartsOnRemoteDeleterequired
boolean
syncFileTypesrequired
string[]
syncedFileCountrequired
number
syncStatusrequired
"idle" | "syncing"
idlesyncing
watchedFolderrequired
object
idrequirednullable
string
namerequirednullable
string
Example Response
200 OK — application/json
{
"connected": true,
"provider": "google-drive",
"watchedFolder": {
"id": "string",
"name": "string"
},
"syncStatus": "idle",
"lastSyncedAt": "string",
"syncedFileCount": 1,
"authError": "string",
"settings": {
"keepPartsOnRemoteDelete": true,
"autoSync": true,
"syncFileTypes": [
"string"
]
}
}